com.holonplatform.core.property

## Interface CollectionPathProperty<E,C extends Collection<E>>

- Type Parameters:
    `E` - Collection element type
    `C` - Concrete collection type
  All Superinterfaces:
    CloneableProperty<C,PathProperty<C>,PathProperty.Builder<C,PathProperty<C>,?>>, CloneableProperty.CloneablePathProperty<C,PathProperty<C>>, CollectionExpression<E,C>, CollectionProperty<E,C>, ConverterExpression<C>, DataMappable, Expression, HasConfiguration<PropertyConfiguration>, Localizable, Path<C>, PathExpression<C>, PathProperty<C>, Property<C>, QueryExpression<C>, QueryProjection<C>, Serializable, TypedExpression<C>, Validator.Validatable<C>
  All Known Subinterfaces:
    ListPathProperty<T>, ListPathProperty.ListPathPropertyBuilder<T>, SetPathProperty<T>, SetPathProperty.SetPathPropertyBuilder<T>

      public interface CollectionPathProperty<E,C extends Collection<E>>
      extends CollectionProperty<E,C>, PathProperty<C>, CollectionExpression<E,C>

  A `CollectionProperty` type `PathProperty`.
  Since:
    5.2.0
  See Also:
    `ListPathProperty`, `SetPathProperty`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `CollectionPathProperty.Builder<E,C extends Collection<E>,P extends CollectionPathProperty<E,C>,B extends CollectionPathProperty.Builder<E,C,P,B>>` Base `CollectionPathProperty` builder.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.CollectionProperty

      `CollectionProperty.ListProperty<T>, CollectionProperty.SetProperty<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.PathProperty

      `PathProperty.PathPropertyBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.CloneableProperty

      `CloneableProperty.CloneablePathProperty<T,P extends Property<T> & Path<T>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.Property

      `Property.PropertyAccessException, Property.PropertyNotFoundException, Property.PropertyReadException, Property.PropertyReadOnlyException, Property.PropertyWriteException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.i18n.Localizable

      `Localizable.LocalizableBuilder, Localizable.LocalizationException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Path

      `Path.FinalPath<T>, Path.PathBuilder<T>`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.Path

      `PATH_HIERARCHY_SEPARATOR`

    - ### Fields inherited from interface com.holonplatform.core.DataMappable

      `DEFAULT_CONFIG_PROPERTY_PREFIX, PATH`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.core.property.CollectionProperty

      `getElementType`

    - ### Methods inherited from interface com.holonplatform.core.property.PathProperty

      `create, create, isReadOnly`

    - ### Methods inherited from interface com.holonplatform.core.property.CloneableProperty

      `clone`

    - ### Methods inherited from interface com.holonplatform.core.property.Property

      `getConvertedValue, getConverter, getName, getTemporalType, getType, present, render, renderIfAvailable`

    - ### Methods inherited from interface com.holonplatform.core.Validator.Validatable

      `getValidators, validate`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable

      `builder, getMessage, getMessageArguments, getMessageCode, of, of`

    - ### Methods inherited from interface com.holonplatform.core.HasConfiguration

      `hasConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.ConverterExpression

      `getModelType, getModelValue`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

    - ### Methods inherited from interface com.holonplatform.core.query.PathExpression

      `asc, desc, from`

    - ### Methods inherited from interface com.holonplatform.core.Path

      `fullName, fullName, getName, getParent, isRootPath, of, relativeName, relativeName, stream`

    - ### Methods inherited from interface com.holonplatform.core.DataMappable

      `getDataPath, isDataMappable`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryExpression

      `between, count, eq, eq, goe, goe, gt, gt, in, in, in, isNotNull, isNull, loe, loe, lt, lt, max, min, neq, neq, nin, nin, nin`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryProjection

      `bean, constant, countAll, path, propertySet, propertySet`

    - ### Methods inherited from interface com.holonplatform.core.CollectionExpression

      `getElementType`

Copyright © 2019 The Holon Platform. All rights reserved.